CorridorGraphics - Cesium Documentation

# CorridorGraphics

#### new CorridorGraphics(options)

  Describes a corridor, which is a shape defined by a centerline and width that conforms to the curvature of the globe. It can be placed on the surface or at altitude and can optionally be extruded into a volume.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `positions` | Property |  | optional A Property specifying the array of `Cartesian3` positions that define the centerline of the corridor.
  `width` | Property |  | optional A numeric Property specifying the distance between the edges of the corridor.
  `cornerType` | Property | `CornerType.ROUNDED` | optional A `CornerType` Property specifying the style of the corners.
  `height` | Property | `0` | optional A numeric Property specifying the altitude of the corridor.
  `extrudedHeight` | Property |  | optional A numeric Property specifying the altitude of the corridor extrusion.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the corridor.
  `fill` | Property | `true` | optional A boolean Property specifying whether the corridor is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the corridor.
  `outline` | Property | `false` | optional A boolean Property specifying whether the corridor is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `granularity` | Property | `Cesium.Math.RADIANS_PER_DEGREE` | optional A numeric Property specifying the distance between each latitude and longitude.

  ##### Demo:

  - Cesium Sandcastle Corridor Demo

  ##### See:

  - Entity
  Source: DataSources/CorridorGraphics.js, line 45

### Members

#### cornerType :Property

  Gets or sets the `CornerType` Property specifying how corners are styled.
  Default Value: `CornerType.ROUNDED`
  Source: DataSources/CorridorGraphics.js, line 181

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/CorridorGraphics.js, line 82

#### extrudedHeight :Property

  Gets or sets the numeric Property specifying the altitude of the corridor extrusion. Setting this property creates a corridor shaped volume starting at height and ending at this altitude.
  Source: DataSources/CorridorGraphics.js, line 126

#### fill :Property

  Gets or sets the boolean Property specifying whether the corridor is filled with the provided material.
  Default Value: `true`
  Source: DataSources/CorridorGraphics.js, line 149

#### granularity :Property

  Gets or sets the numeric Property specifying the sampling distance between each latitude and longitude point.
  Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`
  Source: DataSources/CorridorGraphics.js, line 134

#### height :Property

  Gets or sets the numeric Property specifying the altitude of the corridor.
  Default Value: `0.0`
  Source: DataSources/CorridorGraphics.js, line 117

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the corridor.
  Default Value: `Color.WHITE`
  Source: DataSources/CorridorGraphics.js, line 102

#### outline :Property

  Gets or sets the Property specifying whether the corridor is outlined.
  Default Value: `false`
  Source: DataSources/CorridorGraphics.js, line 157

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/CorridorGraphics.js, line 165

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/CorridorGraphics.js, line 173

#### positions :Property

  Gets or sets a Property specifying the array of `Cartesian3` positions that define the centerline of the corridor.
  Source: DataSources/CorridorGraphics.js, line 109

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the corridor.
  Default Value: `true`
  Source: DataSources/CorridorGraphics.js, line 94

#### width :Property

  Gets or sets the numeric Property specifying the width of the corridor.
  Source: DataSources/CorridorGraphics.js, line 141

### Methods

#### clone(result) → CorridorGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | CorridorGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/CorridorGraphics.js, line 190

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | CorridorGraphics | The object to be merged into this object.

  Source: DataSources/CorridorGraphics.js, line 215